LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
Invocation Service Referencepublished

factory service that allows construction of Invocation objects. More...

`import"Invocation.idl";`

Inheritance diagram for Invocation:

## Additional Inherited Members
Public Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

factory service that allows construction of Invocation objects.

Invoke createInstanceWithArguments() of XSingleServiceFactory to create an Invocation adapter for the passed object (Invoking createInstance() will fail).

The adapter has to support com::sun::star::script::XInvocation. The adapter may also support com::sun::star::script::XInvocation2.

Developers Guide
  AdvUNO - UNO Reflection API
  AdvUNO - XInvocation Bridge - Scripting Existing UNO Objects

The documentation for this service was generated from the following file:

- com/sun/star/script/Invocation.idl